image: node:11.14.0-stretch

test:
  except:
    - master
    - release
    - tags
  script:
    - npm install
    - ./bin/prepare-production.sh
    - npm test

release:
  only:
    - release@getto-systems-labo/codes/web/elm
  script:
    - ./bin/push_tags.sh
